{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}

{% block body %}
    <div class="card-genossys">
        <h5>Paket Pembelian Kuota Pertanyaan</h5>
        <div class="pb-5">
            <div class="float-right">
                <a class="btn btn-primary" id="addData">Tambah Kuota Pertanyaan</a>
            </div>
        </div>
        {{ dt.datatable }}
    </div>

    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <form id="formCategori">
                    <input id="id" name="id" hidden >
                    <input id="action" name="action" hidden>
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Tambah Paket</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="diamond">Jumlah Kuota Pertanyaan : </label>
                            <input type="text" class="form-control" id="diamond" name="diamond" placeholder="Masukkan jumlah kuota pertanyaan">
                        </div>
                        <div class="form-group">
                            <label for="price">Harga Normal : </label>
                            <input type="text" class="form-control" id="price" name="price" placeholder="Masukkan nominal harga">
                        </div>
                        <div class="form-group">
                            <div class="custom-control custom-checkbox ">
                                <input type="checkbox" class="custom-control-input checktext" id="diskon">
                                <label class="custom-control-label" for="diskon">Harga Diskon</label>
                                <input type="text" class="form-control" disabled id="textdiskon" placeholder="Masukkan harga setelah diskon">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
{% endblock %}
{% block javascripts %}
    <script>
        $(document).on('click', 'a#addData', function () {
            $('#modal').modal();
        });

        $(document).ready(function () {
            $('.checktext').click(function () {
                if ($(this).prop("checked") == true) {
                    $('#text' + $(this).attr('id')).removeAttr('disabled');
                } else if ($(this).prop("checked") == false) {
                    $('#text' + $(this).attr('id')).attr('disabled', '');
                    $('#text' + $(this).attr('id')).val('');

                }
            });
        });
    </script>
{% endblock %}